Method: projects.locations.skills.patch

Updates Skill metadata or overrides active pointers/state using REST standard PATCH.

HTTP request

PATCH https://agentregistry.googleapis.com/v1alpha/{skill.name=projects/*/locations/*/skills/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
skill.name

string

Identifier. Resource name of the Skill. Format: projects/{project}/locations/{location}/skills/{skill} The {skill} segment acts as the resource ID. If the skill is associated with a Publisher, this segment typically uses a hyphenated namespace prefix corresponding to the publisher (e.g., google-workspace-create-docs).

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Standard update target mask mapping relative fields.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. Signed UUID request idempotency token.

Request body

The request body contains an instance of Skill.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • agentregistry.skills.update

For more information, see the IAM documentation.